Subject: Re: [RFC PATCH 0/3] git-p4: move to toplevel

From: Luke Diamand <[email-masked]>
Date: Sun, 12 Feb 2012 18:54:19 +0000

On 12/02/12 18:13, Pete Wyckoff wrote:
> The git-p4 code is in a single python script down in
> contrib/fast-import now.  I'd like to move it up to the top-level
> source directory of git to make it easier to build and
> distribute.  Git-p4 already takes advantage of the git
> infrastructure for documentation and testing, as well as the
> community support (Junio, many reviewers).

About time this was done. There's still a few oddities around but far 
fewer than there used to be. I don't know if Junio has some rules on 
what a command needs before it graduates from contrib though.

<snip>

> a core git package, or as a separate add-on.  Getting support
> for python and git-p4 in msysgit is something I'd like to see
> happen too.

Not sure about msysgit, but last time I tried on Windows it didn't work 
at all well.

>
> While I considered taking this opportunity to split up git-p4
> into more modular components across multiple files, it seems best
> now just to do the script move intact.  That effort could come
> later.  If anyone has a strong preference to do this now, we could.

Regards!
Luke